import 'package:flutter/material.dart';
import 'package:og1_ui/og1_ui.dart';
import 'package:og1_ui/src/models/_models.dart';

class Og1MobileLayout extends StatelessWidget {
  final PreferredSizeWidget? appBar;
  final Widget body;
  final List<TabModel> tabs;
  final int currentIndex;
  final Function(int id) onTap;

  const Og1MobileLayout({
    Key? key,
    this.appBar,
    required this.body,
    required this.tabs,
    required this.currentIndex,
    required this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBar,
      body: body,
      bottomNavigationBar: BottomNavigationBar(
          backgroundColor: Theme.of(context).scaffoldBackgroundColor,
          type: BottomNavigationBarType.fixed,
          currentIndex: currentIndex,
          onTap: onTap,
          items: tabs
              .map((tab) => BottomNavigationBarItem(
                    label: tab.label,
                    icon: tab.icon,
                  ))
              .toList()),
    );
  }
}
