import 'package:flutter/material.dart';
import 'package:og1_system/og1_system.dart';

class Og1MasterDetails extends StatelessWidget {
  final Widget master;
  final Widget details;
  final bool displayDetails;
  final double masterWidth;

  const Og1MasterDetails(
      {Key? key,
      required this.master,
      required this.details,
      required this.displayDetails,
      this.masterWidth = 300.0})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(builder: (context, sizingInformation) {
      if (sizingInformation.isMobile) {
        return displayDetails ? details : master;
      }
      return Row(children: <Widget>[
        SizedBox(
          width: masterWidth,
          child: master,
        ),
        const VerticalDivider(width: 0),
        Expanded(child: details)
      ]);
    });
  }
}
