import 'package:flutter/material.dart';

class Og1AppBar extends StatelessWidget implements PreferredSizeWidget {
  final String? title;
  final Widget? leading;
  final List<Widget>? actions;
  final bool transparent;
  final Color? backgroundColor;
  final Widget? flexibleSpace;
  final double? elevation;
  final double? titleSpacing;

  const Og1AppBar({
    Key? key,
    this.title,
    this.leading,
    this.actions,
    this.transparent = true,
    this.backgroundColor,
    this.flexibleSpace,
    this.elevation,
    this.titleSpacing,
  })  : preferredSize = const Size.fromHeight(50.0),
        super(key: key);

  @override
  final Size preferredSize;

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: title != null ? Text(title!) : null,
      leading: leading,
      actions: actions,
      backgroundColor: transparent ? Colors.transparent : backgroundColor,
      elevation: transparent ? 0 : elevation,
      flexibleSpace: transparent ? null : flexibleSpace,
      titleSpacing: titleSpacing,
    );
  }
}
