import 'package:flutter/material.dart';
import 'package:og1_ui/src/models/_models.dart';

class Og1Commodity extends StatelessWidget {
  final CommodityModel commodity;
  final bool displayText;

  const Og1Commodity({
    Key? key,
    required this.commodity,
    required this.displayText,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: <Widget>[
          Icon(
            commodity.icon,
            color: commodity.color,
            size: 20,
          ),
          if (displayText)
            Text(
              commodity.name,
              maxLines: 1,
              style: const TextStyle(fontSize: 10),
            )
        ],
      ),
    );
  }
}
