import 'package:flutter/material.dart';
import 'package:og1_ui/src/models/_models.dart';
import 'package:og1_ui/src/widgets/_widgets.dart';

class Og1CommodityPicker extends StatelessWidget {
  final List<CommodityModel> supportedCommodities;
  final CommodityModel commodity;
  final Function(CommodityModel? commodity) onCommodityChange;
  final bool displayText;
  final double width;
  final double height;

  const Og1CommodityPicker({
    Key? key,
    required this.supportedCommodities,
    required this.commodity,
    required this.onCommodityChange,
    this.displayText = false,
    this.width = 70,
    this.height = 70,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: height,
      child: PopupMenuButton<CommodityModel>(
        icon: Og1Commodity(
          commodity: commodity,
          displayText: false,
        ),
        onSelected: onCommodityChange,
        itemBuilder: (BuildContext context) => supportedCommodities
            .map<PopupMenuEntry<CommodityModel>>(
              (comm) => PopupMenuItem<CommodityModel>(
                value: comm,
                child: Og1Commodity(
                  key: UniqueKey(),
                  commodity: comm,
                  displayText: displayText,
                ),
              ),
            )
            .toList(),
      ),
    );
  }
}
