import 'package:flutter/material.dart';
import 'package:og1_ui/src/models/_models.dart';

class Og1Language extends StatelessWidget {
  final LanguageModel language;
  final bool displayText;

  const Og1Language({
    Key? key,
    required this.language,
    required this.displayText,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: <Widget>[
          Text(
            language.flag,
            style: const TextStyle(fontSize: 20),
          ),
          if (displayText)
            Text(
              language.name,
              maxLines: 1,
              style: const TextStyle(fontSize: 10),
            ),
        ],
      ),
    );
  }
}
