import 'package:flutter/material.dart';
import 'package:percent_indicator/percent_indicator.dart';

class Og1ProgressBar extends StatelessWidget {
  final double percent;
  final Color? progressColor;
  final Color fillColor;
  final LinearGradient? linearGradient;
  final double lineHeight;
  final double width;
  final Radius barRadius;
  final MaskFilter? maskFilter;
  final bool isRTL;
  final EdgeInsets padding;
  final Widget? leading;
  final Widget? trailing;
  final Widget? widgetIndicatior;
  final bool animation;
  final int animationDuration;

  const Og1ProgressBar(
      {Key? key,
      this.percent = 0.0,
      this.progressColor,
      this.fillColor = Colors.transparent,
      this.linearGradient,
      this.lineHeight = 20.0,
      this.width = 140,
      this.barRadius = const Radius.circular(16),
      this.maskFilter,
      this.isRTL = false,
      this.padding = const EdgeInsets.symmetric(horizontal: 10.0),
      this.leading,
      this.trailing,
      this.widgetIndicatior,
      this.animation = true,
      this.animationDuration = 1000})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return LinearPercentIndicator(
      key: key,
      percent: percent,
      center: Text((percent * 100).round().toString() + ' %'),
      progressColor: (progressColor == null && linearGradient == null)
          ? Colors.blue
          : progressColor,
      fillColor: fillColor,
      linearGradient: linearGradient,
      lineHeight: lineHeight,
      width: width,
      barRadius: barRadius,
      maskFilter: maskFilter,
      isRTL: isRTL,
      padding: padding,
      leading: leading,
      trailing: trailing,
      widgetIndicator: widgetIndicatior,
      animation: animation,
      animationDuration: animationDuration,
    );
  }
}
